org.keycloak.federation.ldap.idm.query.internal

## Class LDAPQuery

- java.lang.Object
- - org.keycloak.federation.ldap.idm.query.internal.LDAPQuery

-     public class LDAPQuery
      extends Object

  Default IdentityQuery implementation.
  Author:
    Shane Bryzak

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPQuery(LDAPFederationProvider ldapProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LDAPQuery` | `addMappers(Collection<UserFederationMapperModel> mappers)`
    `LDAPQuery` | `addObjectClasses(Collection<String> objectClasses)`
    `LDAPQuery` | `addReturningLdapAttribute(String ldapAttributeName)`
    `LDAPQuery` | `addReturningReadOnlyLdapAttribute(String ldapAttributeName)`
    `LDAPQuery` | `addWhereCondition(Condition... condition)`
    `Set<Condition>` | `getConditions()`
    `LDAPObject` | `getFirstResult()`
    `LDAPFederationProvider` | `getLdapProvider()`
    `int` | `getLimit()`
    `List<UserFederationMapperModel>` | `getMappers()`
    `Set<String>` | `getObjectClasses()`
    `int` | `getOffset()`
    `byte[]` | `getPaginationContext()`
    `int` | `getResultCount()`
    `List<LDAPObject>` | `getResultList()`
    `Set<String>` | `getReturningLdapAttributes()`
    `Set<String>` | `getReturningReadOnlyLdapAttributes()`
    `String` | `getSearchDn()`
    `int` | `getSearchScope()`
    `Set<Sort>` | `getSorting()`
    `LDAPQuery` | `setLimit(int limit)`
    `LDAPQuery` | `setOffset(int offset)`
    `LDAPQuery` | `setPaginationContext(byte[] paginationContext)`
    `LDAPQuery` | `setSearchDn(String searchDn)`
    `LDAPQuery` | `setSearchScope(int searchScope)`
    `LDAPQuery` | `sortBy(Sort... sorts)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LDAPQuery

          public LDAPQuery(LDAPFederationProvider ldapProvider)

  - ### Method Detail

    - #### addWhereCondition

          public LDAPQuery addWhereCondition(Condition... condition)

    - #### sortBy

          public LDAPQuery sortBy(Sort... sorts)

    - #### setSearchDn

          public LDAPQuery setSearchDn(String searchDn)

    - #### addObjectClasses

          public LDAPQuery addObjectClasses(Collection<String> objectClasses)

    - #### addReturningLdapAttribute

          public LDAPQuery addReturningLdapAttribute(String ldapAttributeName)

    - #### addReturningReadOnlyLdapAttribute

          public LDAPQuery addReturningReadOnlyLdapAttribute(String ldapAttributeName)

    - #### addMappers

          public LDAPQuery addMappers(Collection<UserFederationMapperModel> mappers)

    - #### setSearchScope

          public LDAPQuery setSearchScope(int searchScope)

    - #### getSorting

          public Set<Sort> getSorting()

    - #### getSearchDn

          public String getSearchDn()

    - #### getObjectClasses

          public Set<String> getObjectClasses()

    - #### getReturningLdapAttributes

          public Set<String> getReturningLdapAttributes()

    - #### getReturningReadOnlyLdapAttributes

          public Set<String> getReturningReadOnlyLdapAttributes()

    - #### getMappers

          public List<UserFederationMapperModel> getMappers()

    - #### getSearchScope

          public int getSearchScope()

    - #### getLimit

          public int getLimit()

    - #### getOffset

          public int getOffset()

    - #### getPaginationContext

          public byte[] getPaginationContext()

    - #### getResultList

          public List<LDAPObject> getResultList()

    - #### getFirstResult

          public LDAPObject getFirstResult()

    - #### getResultCount

          public int getResultCount()

    - #### setOffset

          public LDAPQuery setOffset(int offset)

    - #### setLimit

          public LDAPQuery setLimit(int limit)

    - #### setPaginationContext

          public LDAPQuery setPaginationContext(byte[] paginationContext)

    - #### getConditions

          public Set<Condition> getConditions()

    - #### getLdapProvider

          public LDAPFederationProvider getLdapProvider()

Copyright © 2016 JBoss by Red Hat. All rights reserved.